import { createInjectionState } from "@vueuse/core";
const TooltipStoreKey = "tooltip-store";
const [useProvideTooltip, useInjectTooltip] = createInjectionState((color) => {
    return { color };
}, { injectionKey: TooltipStoreKey });
function useTooltip() {
    const drawerState = useInjectTooltip();
    if (!drawerState)
        throw new Error("useTooltip must be used within a <Tooltip /> Component");
    return drawerState;
}
export { useProvideTooltip, useTooltip };
